{

    //AttachStateWithModifierMixin测试脚本：多Modifier

    "AbilityName": "TestPlayer_Ability_Tianheng_88",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {

            "$type":"MoleMole.ApplyModifier",

            "ModifierName":"SpecialEffectModifier",

            "Target":"Self"

        },

    ],



    "AbilityMixins":

    [

        {

            "$type" : "MoleMole.AttachStateWithModifierMixin",

            "ConfigList":

            [

                {

                    "LayerIndex": 0,

                    "AnimatorStateName": "Run_Loop",

                    "NormalizedTimeLow": 0.0,

                    "NormalizedTimeHigh": 1.0,

                    "IsLoop": true,

                    "ModifierNameList":

                    [

                        "SpecialEffectModifier"

                    ]

                },

            ]

        }

    ],



    "Modifiers" : 

    {

        "SpecialEffectModifier": 

        {

            "ModifierStacking" : "MultipleRefresh",

            "Duration": -1,



            "OnAdded":

            [

                {

                    "$type": "MoleMole.AttachEffect",

                    "EffectPattern": "Eff_Anbi_Electric_Discharge_Loop",

                    "Target": "Self",

                    "AttachEffectPosRot" : 

                    {

                        "CoordsOption" : "Self",

                        "TargetOption" : 

                        {

                            "$type" : "MoleMole.ConfigPosRotReferTarget",

                            "OffsetReferTarget" : "Self"

                        },

                        "Offset" : 

                        {

                            "PositionOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                            "IsUseRotationY" : true,

                            "IsUseRotationXZ" : true

                        }

                    }

                }

            ],

        },

    }

}